Index: src/data/procedure.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/procedure.c,v
retrieving revision 1.9
diff -U3 -r1.9 procedure.c
--- src/data/procedure.c	7 May 2006 05:46:26 -0000	1.9
+++ src/data/procedure.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <errno.h>
 #include <stdio.h>
@@ -195,7 +196,7 @@
   struct write_case_data wc_data;
   bool ok = true;
 
-  assert (proc_source != NULL);
+  Assert (proc_source != NULL);
 
   update_last_proc_invocation ();
 
@@ -439,8 +440,8 @@
 struct ccase *
 lagged_case (int n_before)
 {
-  assert (n_before >= 1 );
-  assert (n_before <= n_lag);
+  Assert (n_before >= 1 );
+  Assert (n_before <= n_lag);
 
   if (n_before <= lag_count)
     {
@@ -636,7 +637,7 @@
 {
   bool ok;
   
-  assert (aux->casefile != NULL);
+  Assert (aux->casefile != NULL);
   ok = aux->split_func (&aux->prev_case, aux->casefile, aux->func_aux);
   casefile_destroy (aux->casefile);
   aux->casefile = NULL;
@@ -668,7 +669,7 @@
 {
   struct trns_chain *chain;
   
-  assert (temporary_trns_chain == NULL);
+  Assert (temporary_trns_chain == NULL);
   chain = permanent_trns_chain;
   cur_trns_chain = permanent_trns_chain = trns_chain_create ();
   return chain;
@@ -807,7 +808,7 @@
 void
 proc_set_sink (struct case_sink *sink) 
 {
-  assert (proc_sink == NULL);
+  Assert (proc_sink == NULL);
   proc_sink = sink;
 }
 
@@ -816,7 +817,7 @@
 void
 proc_set_source (struct case_source *source) 
 {
-  assert (proc_source == NULL);
+  Assert (proc_source == NULL);
   proc_source = source;
 }
 
@@ -839,10 +840,10 @@
 
   /* Try to make sure that this function is called immediately
      after procedure() or a similar function. */
-  assert (proc_source != NULL);
-  assert (case_source_is_class (proc_source, &storage_source_class));
-  assert (trns_chain_is_empty (permanent_trns_chain));
-  assert (!proc_in_temporary_transformations ());
+  Assert (proc_source != NULL);
+  Assert (case_source_is_class (proc_source, &storage_source_class));
+  Assert (trns_chain_is_empty (permanent_trns_chain));
+  Assert (!proc_in_temporary_transformations ());
 
   casefile = storage_source_decapsulate (proc_source);
   proc_source = NULL;
Index: src/data/settings.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/settings.c,v
retrieving revision 1.3
diff -U3 -r1.3 settings.c
--- src/data/settings.c	30 May 2006 12:01:33 -0000	1.3
+++ src/data/settings.c	4 Jul 2006 06:05:05 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "settings.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 #include <time.h>
 #include "format.h"
@@ -205,7 +205,7 @@
 void
 set_decimal (char decimal_) 
 {
-  assert (decimal_ == '.' || decimal_ == ',');
+  Assert (decimal_ == '.' || decimal_ == ',');
   decimal = decimal_;
 }
 
@@ -223,7 +223,7 @@
 void
 set_grouping (char grouping_) 
 {
-  assert (grouping_ == '.' || grouping_ == ',');
+  Assert (grouping_ == '.' || grouping_ == ',');
   grouping = grouping_;
 }
  
@@ -470,7 +470,7 @@
 const struct custom_currency *
 get_cc (int idx)
 {
-  assert (idx >= 0 && idx < CC_CNT);
+  Assert (idx >= 0 && idx < CC_CNT);
   return &cc[idx];
 }
 
@@ -478,7 +478,7 @@
 void
 set_cc (int idx, const struct custom_currency *cc_) 
 {
-  assert (idx >= 0 && idx < CC_CNT);
+  Assert (idx >= 0 && idx < CC_CNT);
   cc[idx] = *cc_;
 }
 
Index: src/data/storage-stream.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/storage-stream.c,v
retrieving revision 1.4
diff -U3 -r1.4 storage-stream.c
--- src/data/storage-stream.c	7 May 2006 05:48:57 -0000	1.4
+++ src/data/storage-stream.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <data/storage-stream.h>
 
@@ -157,7 +158,7 @@
 {
   struct storage_stream_info *info = source->aux;
 
-  assert (source->class == &storage_source_class);
+  Assert (source->class == &storage_source_class);
   return info->casefile;
 }
 
@@ -169,7 +170,7 @@
   struct storage_stream_info *info = source->aux;
   struct casefile *casefile;
 
-  assert (source->class == &storage_source_class);
+  Assert (source->class == &storage_source_class);
   casefile = info->casefile;
   info->casefile = NULL;
   free_case_source (source);
Index: src/data/sys-file-reader.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/sys-file-reader.c,v
retrieving revision 1.20
diff -U3 -r1.20 sys-file-reader.c
--- src/data/sys-file-reader.c	9 Jun 2006 22:51:23 -0000	1.20
+++ src/data/sys-file-reader.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <stdlib.h>
 #include <errno.h>
@@ -708,7 +709,7 @@
 				  dict_delete_var(*dict, v_next);
 				}
 
-			      assert ( length > MAX_LONG_STRING );
+			      Assert ( length > MAX_LONG_STRING );
 
 			      v->width = length;
 			      v->print.w = v->width;
@@ -1043,7 +1044,7 @@
 				   records still expected. */
   int next_value = 0;		/* Index to next `value' structure. */
 
-  assert(r);
+  Assert (r);
 
   *var_by_idx = 0;
 
@@ -1424,7 +1425,7 @@
           memcpy (label->value.s, label->raw_value, copy_len);
         } else {
           flt64 f;
-          assert (sizeof f == sizeof label->raw_value);
+          Assert (sizeof f == sizeof label->raw_value);
           memcpy (&f, label->raw_value, sizeof f);
           if (r->reverse_endian)
             bswap_flt64 (&f);
@@ -1480,7 +1481,7 @@
 static void *
 buf_read (struct sfm_reader *r, void *buf, size_t byte_cnt, size_t min_alloc)
 {
-  assert (r);
+  Assert (r);
 
   if (buf == NULL && byte_cnt > 0 )
     buf = xmalloc (max (byte_cnt, min_alloc));
@@ -1508,7 +1509,7 @@
 void
 buf_unread(struct sfm_reader *r, size_t byte_cnt)
 {
-  assert(byte_cnt > 0);
+  Assert (byte_cnt > 0);
 
   if ( 0 != fseek(r->file, -byte_cnt, SEEK_CUR))
     {
@@ -1665,7 +1666,7 @@
       p = r->x;
     }
 
-  abort ();
+  AssertNotReached ();
 
  success:
   /* We have filled up an entire record.  Update state and return
Index: src/data/sys-file-writer.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/sys-file-writer.c,v
retrieving revision 1.12
diff -U3 -r1.12 sys-file-writer.c
--- src/data/sys-file-writer.c	9 Jun 2006 22:51:23 -0000	1.12
+++ src/data/sys-file-writer.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "sys-file-writer.h"
 #include "sfm-private.h"
 #include <libpspp/message.h>
@@ -109,7 +111,7 @@
 static inline int
 var_flt64_cnt (const struct variable *v) 
 {
-  assert(sizeof(flt64) == MAX_SHORT_STRING);
+  Assert (sizeof(flt64) == MAX_SHORT_STRING);
   return width_to_bytes(v->width) / MAX_SHORT_STRING ;
 }
 
@@ -437,7 +439,7 @@
 static inline void
 write_format_spec (const struct fmt_spec *src, int32_t *dest)
 {
-  assert(check_output_specifier(src, true));
+  Assert (check_output_specifier(src, true));
   *dest = (formats[src->type].spss << 16) | (src->w << 8) | src->d;
 }
 
@@ -830,7 +832,7 @@
 static void
 buf_write (struct sfm_writer *w, const void *buf, size_t nbytes)
 {
-  assert (buf != NULL);
+  Assert (buf != NULL);
   fwrite (buf, nbytes, 1, w->file);
 }
 
Index: src/data/transformations.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/transformations.c,v
retrieving revision 1.3
diff -U3 -r1.3 transformations.c
--- src/data/transformations.c	7 May 2006 05:50:07 -0000	1.3
+++ src/data/transformations.c	4 Jul 2006 06:05:06 -0000
@@ -21,7 +21,7 @@
 
 #include <data/transformations.h>
 
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include <libpspp/str.h>
@@ -130,7 +130,7 @@
 {
   struct transformation *trns;
 
-  assert (!chain->finalized);
+  Assert (!chain->finalized);
 
   if (chain->trns_cnt == chain->trns_cap)
     chain->trns = x2nrealloc (chain->trns, &chain->trns_cap,
@@ -152,8 +152,8 @@
 {
   size_t i;
   
-  assert (dst->finalized);
-  assert (src->finalized);
+  Assert (dst->finalized);
+  Assert (src->finalized);
 
   if (dst->trns_cnt + src->trns_cnt > dst->trns_cap) 
     {
@@ -194,7 +194,7 @@
 {
   size_t i;
 
-  assert (chain->finalized);
+  Assert (chain->finalized);
   for (i = 0; i < chain->trns_cnt; )
     {
       struct transformation *trns = &chain->trns[i];
Index: src/data/value-labels.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/value-labels.c,v
retrieving revision 1.6
diff -U3 -r1.6 value-labels.c
--- src/data/value-labels.c	26 Jun 2006 05:40:29 -0000	1.6
+++ src/data/value-labels.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include "value-labels.h"
 
@@ -54,7 +55,7 @@
 {
   struct val_labs *vls;
 
-  assert (width >= 0);
+  Assert (width >= 0);
 
   vls = xmalloc (sizeof *vls);
   vls->width = width;
@@ -71,7 +72,7 @@
   struct val_labs_iterator *i;
   struct val_lab *vl;
 
-  assert (vls != NULL);
+  Assert (vls != NULL);
 
   copy = val_labs_create (vls->width);
   for (vl = val_labs_first (vls, &i); vl != NULL;
@@ -87,7 +88,7 @@
 bool
 val_labs_can_set_width (const struct val_labs *vls, int new_width) 
 {
-  assert ((vls->width == 0) == (new_width == 0));
+  Assert ((vls->width == 0) == (new_width == 0));
 
   if (vls->width == 0)
     return new_width == 0;
@@ -122,7 +123,7 @@
 void
 val_labs_set_width (struct val_labs *vls, int new_width) 
 {
-  assert (val_labs_can_set_width (vls, new_width));
+  Assert (val_labs_can_set_width (vls, new_width));
 
   vls->width = new_width;
   if (new_width > MAX_SHORT_STRING)
@@ -144,7 +145,7 @@
 void
 val_labs_clear (struct val_labs *vls) 
 {
-  assert (vls != NULL);
+  Assert (vls != NULL);
 
   hsh_destroy (vls->labels);
   vls->labels = NULL;
@@ -154,7 +155,7 @@
 size_t
 val_labs_count (const struct val_labs *vls) 
 {
-  assert (vls != NULL);
+  Assert (vls != NULL);
 
   if (vls->labels == NULL)
     return 0;
@@ -176,8 +177,8 @@
 {
   struct int_val_lab *ivl;
 
-  assert (label != NULL);
-  assert (vls->width <= MAX_SHORT_STRING);
+  Assert (label != NULL);
+  Assert (vls->width <= MAX_SHORT_STRING);
   
   ivl = xmalloc (sizeof *ivl);
   ivl->value = value;
@@ -198,9 +199,9 @@
   struct int_val_lab *ivl;
   void **vlpp;
 
-  assert (vls != NULL);
-  assert (vls->width <= MAX_SHORT_STRING);
-  assert (label != NULL);
+  Assert (vls != NULL);
+  Assert (vls->width <= MAX_SHORT_STRING);
+  Assert (label != NULL);
 
   if (vls->labels == NULL) 
     vls->labels = hsh_create (8, compare_int_val_lab, hash_int_val_lab,
@@ -229,9 +230,9 @@
 {
   struct int_val_lab *ivl;
 
-  assert (vls != NULL);
-  assert (vls->width <= MAX_SHORT_STRING);
-  assert (label != NULL);
+  Assert (vls != NULL);
+  Assert (vls->width <= MAX_SHORT_STRING);
+  Assert (label != NULL);
 
   if (vls->labels == NULL)
     {
@@ -255,8 +256,8 @@
 int 
 val_labs_remove (struct val_labs *vls, union value value) 
 {
-  assert (vls != NULL);
-  assert (vls->width <= MAX_SHORT_STRING);
+  Assert (vls != NULL);
+  Assert (vls->width <= MAX_SHORT_STRING);
 
   if (vls->labels != NULL) 
     {
@@ -276,7 +277,7 @@
 char *
 val_labs_find (const struct val_labs *vls, union value value) 
 {
-  assert (vls != NULL);
+  Assert (vls != NULL);
 
   if (vls->width > MAX_SHORT_STRING)
     return NULL;
@@ -312,8 +313,8 @@
 {
   struct val_labs_iterator *i;
 
-  assert (vls != NULL);
-  assert (ip != NULL);
+  Assert (vls != NULL);
+  Assert (ip != NULL);
 
   if (vls->labels == NULL || vls->width > MAX_SHORT_STRING)
     return NULL;
@@ -336,8 +337,8 @@
 {
   struct val_labs_iterator *i;
 
-  assert (vls != NULL);
-  assert (ip != NULL);
+  Assert (vls != NULL);
+  Assert (ip != NULL);
 
   if (vls->labels == NULL || vls->width > MAX_SHORT_STRING)
     return NULL;
@@ -358,10 +359,10 @@
   struct val_labs_iterator *i;
   struct int_val_lab *ivl;
   
-  assert (vls != NULL);
-  assert (vls->width <= MAX_SHORT_STRING);
-  assert (ip != NULL);
-  assert (*ip != NULL);
+  Assert (vls != NULL);
+  Assert (vls->width <= MAX_SHORT_STRING);
+  Assert (ip != NULL);
+  Assert (*ip != NULL);
 
   i = *ip;
   ivl = *i->lp++;
@@ -387,8 +388,8 @@
 {
   struct val_labs_iterator *i;
 
-  assert (ip != NULL);
-  assert (*ip != NULL);
+  Assert (ip != NULL);
+  Assert (*ip != NULL);
   
   i = *ip;
   free (i->labels);
@@ -456,7 +457,7 @@
   struct atom a;
   void **app;
   
-  assert (string != NULL);
+  Assert (string != NULL);
           
   if (atoms == NULL) 
     atoms = hsh_create (8, compare_atoms, hash_atom, free_atom, NULL);
@@ -485,7 +486,7 @@
 {
   if (atom != NULL) 
     {
-      assert (atom->ref_count > 0);
+      Assert (atom->ref_count > 0);
       atom->ref_count--;
       if (atom->ref_count == 0) 
         hsh_force_delete (atoms, atom);
@@ -496,7 +497,7 @@
 static  char *
 atom_to_string (const struct atom *atom) 
 {
-  assert (atom != NULL);
+  Assert (atom != NULL);
   
   return atom->string;
 }
@@ -541,8 +542,8 @@
 {
   char *s;
   
-  assert (val != NULL);
-  assert (var != NULL);
+  Assert (val != NULL);
+  Assert (var != NULL);
 
   s = val_labs_find (var->val_labs, *val);
   if (s == NULL) 
Index: src/data/variable.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/variable.c,v
retrieving revision 1.8
diff -U3 -r1.8 variable.c
--- src/data/variable.c	7 May 2006 02:18:32 -0000	1.8
+++ src/data/variable.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "variable.h"
 #include <libpspp/message.h>
 #include <stdlib.h>
@@ -56,8 +58,8 @@
 var_attach_aux (struct variable *v,
                 void *aux, void (*aux_dtor) (struct variable *)) 
 {
-  assert (v->aux == NULL);
-  assert (aux != NULL);
+  Assert (v->aux == NULL);
+  Assert (aux != NULL);
   v->aux = aux;
   v->aux_dtor = aux_dtor;
   return aux;
@@ -69,7 +71,7 @@
 var_detach_aux (struct variable *v) 
 {
   void *aux = v->aux;
-  assert (aux != NULL);
+  Assert (aux != NULL);
   v->aux = NULL;
   return aux;
 }
@@ -79,7 +81,7 @@
 void
 var_clear_aux (struct variable *v) 
 {
-  assert (v != NULL);
+  Assert (v != NULL);
   if (v->aux != NULL) 
     {
       if (v->aux_dtor != NULL)
@@ -134,7 +136,7 @@
   bool plausible;
   size_t length, i;
   
-  assert (name != NULL);
+  Assert (name != NULL);
 
   /* Note that strlen returns number of BYTES, not the number of 
      CHARACTERS */
@@ -182,7 +184,7 @@
 {
   size_t length;
   
-  assert (name != NULL);
+  Assert (name != NULL);
 
   /* Note that strlen returns number of BYTES, not the number of 
      CHARACTERS */
@@ -259,8 +261,8 @@
 void
 var_set_short_name (struct variable *v, const char *short_name) 
 {
-  assert (v != NULL);
-  assert (short_name[0] == '\0' || var_is_plausible_name (short_name, false));
+  Assert (v != NULL);
+  Assert (short_name[0] == '\0' || var_is_plausible_name (short_name, false));
   
   str_copy_trunc (v->short_name, sizeof v->short_name, short_name);
   str_uppercase (v->short_name);
@@ -270,7 +272,7 @@
 void
 var_clear_short_name (struct variable *v) 
 {
-  assert (v != NULL);
+  Assert (v != NULL);
 
   v->short_name[0] = '\0';
 }
@@ -285,9 +287,9 @@
   char *start, *end;
   int len, ofs;
 
-  assert (v != NULL);
-  assert (suffix >= 0);
-  assert (strlen (v->short_name) > 0);
+  Assert (v != NULL);
+  Assert (suffix >= 0);
+  Assert (strlen (v->short_name) > 0);
 
   /* Set base name. */
   var_set_short_name (v, base);
@@ -320,7 +322,7 @@
 enum dict_class
 dict_class_from_id (const char *name) 
 {
-  assert (name != NULL);
+  Assert (name != NULL);
 
   switch (name[0]) 
     {
@@ -346,8 +348,7 @@
     case DC_SCRATCH:
       return _("scratch");
     default:
-      assert (0);
-      abort ();
+      AssertNotReached ();
     }
 }
 
@@ -360,7 +361,7 @@
   const int remainder = width - (chunks * EFFECTIVE_LONG_STRING_LENGTH) ;
   int bytes, mod8;
 
-  assert (width >= 0);
+  Assert (width >= 0);
 
   if ( width == 0 ) 
     return MAX_SHORT_STRING ;
@@ -377,7 +378,7 @@
   if ( mod8 ) 
     bytes += MAX_SHORT_STRING - mod8;
 
-  assert( bytes % MAX_SHORT_STRING == 0 );
+  Assert ( bytes % MAX_SHORT_STRING == 0 );
 
   return bytes;
 }
Index: src/language/command.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/command.c,v
retrieving revision 1.13
diff -U3 -r1.13 command.c
--- src/language/command.c	28 Jun 2006 18:40:21 -0000	1.13
+++ src/language/command.c	4 Jul 2006 06:05:06 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <language/command.h>
 
 #include <stdio.h>
@@ -69,7 +69,7 @@
 bool
 cmd_result_is_success (enum cmd_result result) 
 {
-  assert (cmd_result_is_valid (result));
+  Assert (cmd_result_is_valid (result));
   return result > 0;
 }
 
@@ -78,7 +78,7 @@
 bool
 cmd_result_is_failure (enum cmd_result result) 
 {
-  assert (cmd_result_is_valid (result));
+  Assert (cmd_result_is_valid (result));
   return result < 0;
 }
 
@@ -203,7 +203,7 @@
   tab_set_command_name (NULL);
   msg_set_command_name (NULL);
     
-  assert (cmd_result_is_valid (result));
+  Assert (cmd_result_is_valid (result));
   return result;
 }
 
@@ -273,7 +273,7 @@
 
   aw = find_word (a, &aw_len);
   bw = find_word (b, &bw_len);
-  assert (aw != NULL && bw != NULL);
+  Assert (aw != NULL && bw != NULL);
 
   /* Words that are the same don't conflict. */
   if (aw_len == bw_len && !buf_compare_case (aw, bw, aw_len))
@@ -291,7 +291,7 @@
 static int
 conflicting_3char_prefix_command (const struct command *cmd) 
 {
-  assert (cmd >= commands && cmd < commands + command_cnt);
+  Assert (cmd >= commands && cmd < commands + command_cnt);
 
   return ((cmd > commands
            && conflicting_3char_prefixes (cmd[-1].name, cmd[0].name))
@@ -421,7 +421,7 @@
   for (cmd = commands; cmd < commands + command_cnt; cmd++) 
     if (!strcmp (cmd->name, name))
       return cmd;
-  abort ();
+  AssertNotReached ();
 }
 
 /* Frees the WORD_CNT words in WORDS. */
@@ -480,7 +480,7 @@
     {
       int cmd_match_cnt;
       
-      assert (word_cnt < sizeof words / sizeof *words);
+      Assert (word_cnt < sizeof words / sizeof *words);
       if (token == T_ID) 
         {
           words[word_cnt] = ds_xstrdup (&tokstr);
@@ -523,7 +523,7 @@
 
       /* Get the command. */
       command = get_complete_match (words, complete_word_cnt);
-      assert (command != NULL);
+      Assert (command != NULL);
 
       /* Figure out how many words we want to keep.
          We normally want to swallow the entire command. */
@@ -532,7 +532,7 @@
         pushback_word_cnt--;
       
       /* FIXME: We only support one-token pushback. */
-      assert (pushback_word_cnt + 1 >= word_cnt);
+      Assert (pushback_word_cnt + 1 >= word_cnt);
 
       while (word_cnt > pushback_word_cnt) 
         {
@@ -571,7 +571,7 @@
 static bool
 report_state_mismatch (const struct command *command, enum cmd_state state)
 {
-  assert (!in_correct_state (command, state));
+  Assert (!in_correct_state (command, state));
   if (state == CMD_STATE_INITIAL || state == CMD_STATE_DATA)
     {
       const char *allowed[3];
@@ -595,7 +595,7 @@
       else if (allowed_cnt == 3)
         s = xasprintf (_("%s, %s, or %s"), allowed[0], allowed[1], allowed[2]);
       else
-        abort ();
+        AssertNotReached ();
 
       msg (SE, _("%s is allowed only %s."), command->name, s);
 
@@ -748,7 +748,7 @@
       return 0;
 
     default:
-      assert (pid > 0);
+      Assert (pid > 0);
       while (wait (NULL) != pid)
 	;
       return 1;
Index: src/language/line-buffer.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/line-buffer.c,v
retrieving revision 1.14
diff -U3 -r1.14 line-buffer.c
--- src/language/line-buffer.c	4 Jul 2006 04:39:04 -0000	1.14
+++ src/language/line-buffer.c	4 Jul 2006 06:05:06 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <language/line-buffer.h>
 
 #include <stdio.h>
@@ -420,7 +420,7 @@
 void
 msg_pop_msg_locator (const struct msg_locator *loc)
 {
-  assert (nfile_loc >= 0 && file_loc[nfile_loc - 1] == loc);
+  Assert (nfile_loc >= 0 && file_loc[nfile_loc - 1] == loc);
   nfile_loc--;
 }
 
@@ -493,7 +493,7 @@
       return s->u.interactive (line, get_prompt_style ());
     }
 
-  abort ();
+  AssertNotReached ();
 }
 
 /* Reads a single line into LINE.
@@ -568,7 +568,7 @@
 const char * 
 getl_get_prompt (enum getl_prompt_style style)
 {
-  assert (style < GETL_PROMPT_CNT);
+  Assert (style < GETL_PROMPT_CNT);
   return prompts[style];
 }
 
@@ -576,7 +576,7 @@
 void
 getl_set_prompt (enum getl_prompt_style style, const char *string)
 {
-  assert (style < GETL_PROMPT_CNT);
+  Assert (style < GETL_PROMPT_CNT);
   free (prompts[style]);
   prompts[style] = xstrdup (string);
 }
@@ -585,7 +585,7 @@
 void
 getl_set_prompt_style (enum getl_prompt_style style) 
 {
-  assert (style < GETL_PROMPT_CNT);
+  Assert (style < GETL_PROMPT_CNT);
   current_style = style;
 }
 
Index: src/language/control/control-stack.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/control/control-stack.c,v
retrieving revision 1.3
diff -U3 -r1.3 control-stack.c
--- src/language/control/control-stack.c	15 Mar 2006 03:29:10 -0000	1.3
+++ src/language/control/control-stack.c	4 Jul 2006 06:05:06 -0000
@@ -1,6 +1,6 @@
 #include <config.h>
 #include "control-stack.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 #include <libpspp/compiler.h>
 #include <libpspp/message.h>
@@ -35,7 +35,7 @@
 {
   struct ctl_struct *ctl;
 
-  assert (private != NULL);
+  Assert (private != NULL);
   ctl = xmalloc (sizeof *ctl);
   ctl->class = class;
   ctl->down = ctl_stack;
@@ -79,8 +79,8 @@
 {
   struct ctl_struct *top = ctl_stack;
   
-  assert (top != NULL);
-  assert (top->private == private);
+  Assert (top != NULL);
+  Assert (top->private == private);
 
   top->class->close (top->private);
   ctl_stack = top->down;
Index: src/language/control/do-if.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/control/do-if.c,v
retrieving revision 1.5
diff -U3 -r1.5 do-if.c
--- src/language/control/do-if.c	5 May 2006 04:53:12 -0000	1.5
+++ src/language/control/do-if.c	4 Jul 2006 06:05:06 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include "control-stack.h"
@@ -161,7 +161,7 @@
 static void
 add_else (struct do_if_trns *do_if) 
 {
-  assert (!has_else (do_if));
+  Assert (!has_else (do_if));
   add_clause (do_if, NULL, next_transformation ());
 }
 
Index: src/language/data-io/data-list.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/data-list.c,v
retrieving revision 1.17
diff -U3 -r1.17 data-list.c
--- src/language/data-io/data-list.c	27 Jun 2006 19:09:21 -0000	1.17
+++ src/language/data-io/data-list.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <ctype.h>
 #include <float.h>
@@ -999,7 +1000,7 @@
       retval = read_from_data_list_list (dls, c);
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
   dfm_pop (dls->reader);
 
Index: src/language/data-io/data-reader.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/data-reader.c,v
retrieving revision 1.11
diff -U3 -r1.11 data-reader.c
--- src/language/data-io/data-reader.c	9 Jun 2006 22:51:24 -0000	1.11
+++ src/language/data-io/data-reader.c	4 Jul 2006 06:05:06 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <language/data-io/data-reader.h>
 
@@ -195,7 +196,7 @@
 static bool
 read_file_record (struct dfm_reader *r)
 {
-  assert (r->fh != fh_inline_file ());
+  Assert (r->fh != fh_inline_file ());
   ds_clear (&r->line);
   if (fh_get_mode (r->fh) == FH_MODE_TEXT)
     {
@@ -224,7 +225,7 @@
         }
     }
   else
-    abort ();
+    AssertNotReached ();
 
   r->where.line_number++;
 
@@ -284,8 +285,8 @@
 struct substring
 dfm_get_record (struct dfm_reader *r)
 {
-  assert ((r->flags & DFM_ADVANCE) == 0);
-  assert (r->eof_cnt == 0);
+  Assert ((r->flags & DFM_ADVANCE) == 0);
+  Assert (r->eof_cnt == 0);
 
   return ds_substr (&r->line, r->pos, SIZE_MAX);
 }
@@ -299,8 +300,8 @@
 {
   size_t ofs, new_pos, tab_width;
 
-  assert ((r->flags & DFM_ADVANCE) == 0);
-  assert (r->eof_cnt == 0);
+  Assert ((r->flags & DFM_ADVANCE) == 0);
+  Assert (r->eof_cnt == 0);
 
   if (r->flags & DFM_TABS_EXPANDED)
     return;
@@ -340,7 +341,7 @@
          length that we had before.  DATA LIST uses a
          beyond-the-end position to deal with an empty field at
          the end of the line. */
-      assert (r->pos >= ds_length (&r->line));
+      Assert (r->pos >= ds_length (&r->line));
       new_pos = (r->pos - ds_length (&r->line)) + ds_length (&r->scratch);
     }
 
Index: src/language/data-io/data-writer.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/data-writer.c,v
retrieving revision 1.5
diff -U3 -r1.5 data-writer.c
--- src/language/data-io/data-writer.c	17 Apr 2006 01:54:15 -0000	1.5
+++ src/language/data-io/data-writer.c	4 Jul 2006 06:05:06 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include <language/data-io/data-writer.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <errno.h>
 #include <stdlib.h>
 #include <libpspp/alloc.h>
@@ -85,7 +85,7 @@
 int
 dfm_put_record (struct dfm_writer *w, const char *rec, size_t len)
 {
-  assert (w != NULL);
+  Assert (w != NULL);
 
   if (dfm_write_error (w))
     return 0;
Index: src/language/data-io/file-handle.q
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/file-handle.q,v
retrieving revision 1.6
diff -U3 -r1.6 file-handle.q
--- src/language/data-io/file-handle.q	28 Jun 2006 02:21:28 -0000	1.6
+++ src/language/data-io/file-handle.q	4 Jul 2006 06:05:07 -0000
@@ -109,7 +109,7 @@
         properties.record_width = cmd.n_lrecl[0];
       break;
     default:
-      assert (0);
+      AssertNotReached ();
     }
 
   if (cmd.mode != FH_SCRATCH)
@@ -154,7 +154,7 @@
     case FH_REF_SCRATCH:
       return _("scratch file");
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
Index: src/language/data-io/get.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/get.c,v
retrieving revision 1.14
diff -U3 -r1.14 get.c
--- src/language/data-io/get.c	2 Jul 2006 04:25:12 -0000	1.14
+++ src/language/data-io/get.c	4 Jul 2006 06:05:07 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include <data/any-reader.h>
@@ -302,9 +302,9 @@
   struct sfm_write_options sysfile_opts;
   struct pfm_write_options porfile_opts;
 
-  assert (writer_type == SYSFILE_WRITER || writer_type == PORFILE_WRITER);
-  assert (command_type == XFORM_CMD || command_type == PROC_CMD);
-  assert ((retain_unselected != NULL) == (command_type == PROC_CMD));
+  Assert (writer_type == SYSFILE_WRITER || writer_type == PORFILE_WRITER);
+  Assert (command_type == XFORM_CMD || command_type == PROC_CMD);
+  Assert ((retain_unselected != NULL) == (command_type == PROC_CMD));
 
   if (command_type == PROC_CMD)
     *retain_unselected = true;
@@ -843,7 +843,7 @@
           saw_table = true;
         }
       else
-        assert (0);
+        AssertNotReached ();
       lex_match ('=');
 
       file->by = NULL;
@@ -869,7 +869,7 @@
         }
       else 
         {
-          assert (file->type == MTF_FILE);
+          Assert (file->type == MTF_FILE);
           file->next = first_table;
           file->prev = first_table->prev;
           if (first_table->prev)
@@ -1169,7 +1169,7 @@
     if (iter->handle == NULL)
       {
         if (!mtf_delete_file_in_place (mtf, &iter))
-          abort ();
+          AssertNotReached ();
         break;
       }
   
@@ -1196,7 +1196,7 @@
     strcpy (s, "numeric");
   else
     {
-      assert (v->type == ALPHA);
+      Assert (v->type == ALPHA);
       sprintf (s, "string with width %d", v->width);
     }
   return s;
@@ -1231,7 +1231,7 @@
   for (iter = mtf->head; iter; iter = next)
     {
       next = iter->next;
-      assert (iter->dict != mtf->dict);
+      Assert (iter->dict != mtf->dict);
       if (!mtf_close_file (iter))
         ok = false;
     }
@@ -1311,7 +1311,7 @@
 {
   const struct ccase *ca = case_is_null (&a->input) ? c : &a->input;
   const struct ccase *cb = case_is_null (&b->input) ? c : &b->input;
-  assert ((a == NULL) + (b == NULL) + (c == NULL) <= 1);
+  Assert ((a == NULL) + (b == NULL) + (c == NULL) <= 1);
   return case_compare_2dict (ca, cb, a->by, b->by, mtf->by_cnt);
 }
 
@@ -1325,7 +1325,7 @@
   /* Do we need another record from the active file? */
   bool read_active_file;
 
-  assert (mtf->head != NULL);
+  Assert (mtf->head != NULL);
   if (mtf->head->type == MTF_TABLE)
     return true;
   
@@ -1377,7 +1377,7 @@
 	 from the TABLE input record into the output record. */
       for (; iter != NULL; iter = next)
 	{
-	  assert (iter->type == MTF_TABLE);
+	  Assert (iter->type == MTF_TABLE);
       
 	  next = iter->next;
           for (;;) 
@@ -1654,7 +1654,7 @@
           int src_idx = *src_fv + idx;
           int dst_idx = v->fv + idx;
           
-          assert (map->map[dst_idx] == -1);
+          Assert (map->map[dst_idx] == -1);
           map->map[dst_idx] = src_idx;
         }
       free (src_fv);
@@ -1679,10 +1679,10 @@
 {
   size_t dst_idx;
 
-  assert (map != NULL);
-  assert (src != NULL);
-  assert (dst != NULL);
-  assert (src != dst);
+  Assert (map != NULL);
+  Assert (src != NULL);
+  Assert (dst != NULL);
+  Assert (src != dst);
 
   for (dst_idx = 0; dst_idx < map->value_cnt; dst_idx++)
     {
